./configure: error: perl module ExtUtils::Embed is required

  • A+
所属分类:Nginx
checking for perl
 + perl version: v5.10.1 (*) built for x86_64-linux-thread-multi
Can't locate ExtUtils/Embed.pm in @INC (@INC contains: /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 .).
BEGIN failed--compilation aborted.
./configure: error: perl module ExtUtils::Embed is required
解决方法
[root@localhost nginx-1.4.7]# yum install perl perl-devel perl-ExtUtils-Embed
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirrors.btte.net
 * extras: mirrors.btte.net
 * updates: mirrors.btte.net
Setting up Install Process
Package 4:perl-5.10.1-136.el6.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package perl-ExtUtils-Embed.x86_64 0:1.28-136.el6 will be installed
---> Package perl-devel.x86_64 4:5.10.1-136.el6 will be installed
--> Processing Dependency: perl(ExtUtils::ParseXS) for package: 4:perl-devel-5.10.1-136.el6.x86_64
--> Processing Dependency: perl(ExtUtils::MakeMaker) for package: 4:perl-devel-5.10.1-136.el6.x86_64
--> Processing Dependency: perl(ExtUtils::Installed) for package: 4:perl-devel-5.10.1-136.el6.x86_64
--> Processing Dependency: gdbm-devel for package: 4:perl-devel-5.10.1-136.el6.x86_64
--> Processing Dependency: db4-devel for package: 4:perl-devel-5.10.1-136.el6.x86_64
--> Running transaction check
---> Package db4-devel.x86_64 0:4.7.25-18.el6_4 will be installed
--> Processing Dependency: db4-cxx = 4.7.25-18.el6_4 for package: db4-devel-4.7.25-18.el6_4.x86_64
--> Processing Dependency: libdb_cxx-4.7.so()(64bit) for package: db4-devel-4.7.25-18.el6_4.x86_64
---> Package gdbm-devel.x86_64 0:1.8.0-36.el6 will be installed
---> Package perl-ExtUtils-MakeMaker.x86_64 0:6.55-136.el6 will be installed
--> Processing Dependency: perl(Test::Harness) for package: perl-ExtUtils-MakeMaker-6.55-136.el6.x86_64
---> Package perl-ExtUtils-ParseXS.x86_64 1:2.2003.0-136.el6 will be installed
--> Running transaction check
---> Package db4-cxx.x86_64 0:4.7.25-18.el6_4 will be installed
---> Package perl-Test-Harness.x86_64 0:3.17-136.el6 will be installed
--> Finished Dependency Resolution
Dependencies Resolved
================================================================================
 Package                     Arch       Version                  Repository
                                                                           Size
================================================================================
Installing:
 perl-ExtUtils-Embed         x86_64     1.28-136.el6             base      31 k
 perl-devel                  x86_64     4:5.10.1-136.el6         base     423 k
Installing for dependencies:
 db4-cxx                     x86_64     4.7.25-18.el6_4          base     588 k
 db4-devel                   x86_64     4.7.25-18.el6_4          base     6.6 M
 gdbm-devel                  x86_64     1.8.0-36.el6             base      25 k
 perl-ExtUtils-MakeMaker     x86_64     6.55-136.el6             base     293 k
 perl-ExtUtils-ParseXS       x86_64     1:2.2003.0-136.el6       base      45 k
 perl-Test-Harness           x86_64     3.17-136.el6             base     231 k
Transaction Summary
================================================================================
Install       8 Package(s)
Total download size: 8.2 M
Installed size: 28 M
Is this ok [y/N]: y
Downloading Packages:
(1/8): db4-cxx-4.7.25-18.el6_4.x86_64.rpm                | 588 kB     00:00
(2/8): db4-devel-4.7.25-18.el6_4.x86_64.rpm              | 6.6 MB     00:00
(3/8): gdbm-devel-1.8.0-36.el6.x86_64.rpm                |  25 kB     00:00
(4/8): perl-ExtUtils-Embed-1.28-136.el6.x86_64.rpm       |  31 kB     00:00
(5/8): perl-ExtUtils-MakeMaker-6.55-136.el6.x86_64.rpm   | 293 kB     00:00
(6/8): perl-ExtUtils-ParseXS-2.2003.0-136.el6.x86_64.rpm |  45 kB     00:00
(7/8): perl-Test-Harness-3.17-136.el6.x86_64.rpm         | 231 kB     00:00
(8/8): perl-devel-5.10.1-136.el6.x86_64.rpm              | 423 kB     00:00
--------------------------------------------------------------------------------
Total                                           5.9 MB/s | 8.2 MB     00:01
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : db4-cxx-4.7.25-18.el6_4.x86_64                               1/8
  Installing : db4-devel-4.7.25-18.el6_4.x86_64                                                               2/8
  Installing : gdbm-devel-1.8.0-36.el6.x86_64                                                                 3/8
  Installing : perl-Test-Harness-3.17-136.el6.x86_64                                                          4/8
  Installing : 1:perl-ExtUtils-ParseXS-2.2003.0-136.el6.x86_64                                                5/8
  Installing : perl-ExtUtils-MakeMaker-6.55-136.el6.x86_64                                                    6/8
  Installing : 4:perl-devel-5.10.1-136.el6.x86_64                                                             7/8
  Installing : perl-ExtUtils-Embed-1.28-136.el6.x86_64                                                        8/8
  Verifying  : gdbm-devel-1.8.0-36.el6.x86_64                                                                 1/8
  Verifying  : 4:perl-devel-5.10.1-136.el6.x86_64                                                             2/8
  Verifying  : perl-Test-Harness-3.17-136.el6.x86_64                                                          3/8
  Verifying  : perl-ExtUtils-Embed-1.28-136.el6.x86_64                                                        4/8
  Verifying  : 1:perl-ExtUtils-ParseXS-2.2003.0-136.el6.x86_64                                                5/8
  Verifying  : perl-ExtUtils-MakeMaker-6.55-136.el6.x86_64                                                    6/8
  Verifying  : db4-cxx-4.7.25-18.el6_4.x86_64                                                                 7/8
  Verifying  : db4-devel-4.7.25-18.el6_4.x86_64                                                               8/8
Installed:
  perl-ExtUtils-Embed.x86_64 0:1.28-136.el6                   perl-devel.x86_64 4:5.10.1-136.el6
Dependency Installed:
  db4-cxx.x86_64 0:4.7.25-18.el6_4                         db4-devel.x86_64 0:4.7.25-18.el6_4
  gdbm-devel.x86_64 0:1.8.0-36.el6                         perl-ExtUtils-MakeMaker.x86_64 0:6.55-136.el6
  perl-ExtUtils-ParseXS.x86_64 1:2.2003.0-136.el6          perl-Test-Harness.x86_64 0:3.17-136.el6
Complete!
  • 我的微信
  • 这是我的微信扫一扫
  • weinxin
  • 我的微信公众号
  • 我的微信公众号扫一扫
  • weinxin
ssh

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: